Release Notes/0.9.4

From Davical
Jump to: navigation, search
(released 27th January 2008)

Database Upgrade Required

For release 0.9.4 there have been significant changes to the database which require that the database schema be upgraded to at least version 1.2.1. If your database upgrade is unsuccessful you will need to downgrade the code to release 0.9.3 and file a tracker on the problem, including all error messages and information about your OS release and database version. If you do have problems it will be very helpful if you are able to confidentially provide a dump of your database.

See Release Notes for the general procedure relating to upgrading the database as new releases are made - essentially, you need to run update-davical-database.

Functionality Changes

There are no significant functionality changes in release 0.9.4 from the functionality in 0.9.3.

Bug Fixes

A bug was fixed in handling timezone data for calendars imported from .ics files. If you see timezone warnings in your client they may well be as a result of this problem and one solution is to re-save any affected appointments.

A number of issues were fixed if you need to use DAViCal with FastCGI, or with the open_basedir option configured.

AWL version 0.25 was released along with DAViCal 0.9.4 and this fixes a bug which meant that entire calendars containing CONFIDENTIAL events were not visible to people with Read or Read/Write access (they were visible only to the calendar owner).

Other Changes

Performance

The main focus of release 0.9.4 has been performance improvements. In some cases query performance for queries which are regularly run has improved from around 1 second to around 19ms, for a typical database of several thousand events and several dozens of users.